;-----------------------------------------------------------------
; Constants for USER32.DLL
;-----------------------------------------------------------------

; Color Types
CTLCOLOR_MSGBOX             = 0
CTLCOLOR_EDIT               = 1
CTLCOLOR_LISTBOX            = 2
CTLCOLOR_BTN                = 3
CTLCOLOR_DLG                = 4
CTLCOLOR_SCROLLBAR          = 5
CTLCOLOR_STATIC             = 6
CTLCOLOR_MAX                = 7
COLOR_SCROLLBAR             = 0
COLOR_BACKGROUND            = 1
COLOR_ACTIVECAPTION         = 2
COLOR_INACTIVECAPTION       = 3
COLOR_MENU                  = 4
COLOR_WINDOW                = 5
COLOR_WINDOWFRAME           = 6
COLOR_MENUTEXT              = 7
COLOR_WINDOWTEXT            = 8
COLOR_CAPTIONTEXT           = 9
COLOR_ACTIVEBORDER          = 10
COLOR_INACTIVEBORDER        = 11
COLOR_APPWORKSPACE          = 12
COLOR_HIGHLIGHT             = 13
COLOR_HIGHLIGHTTEXT         = 14
COLOR_BTNFACE               = 15
COLOR_BTNSHADOW             = 16
COLOR_GRAYTEXT              = 17
COLOR_BTNTEXT               = 18
COLOR_INACTIVECAPTIONTEXT   = 19
COLOR_BTNHIGHLIGHT          = 20
COLOR_3DDKSHADOW            = 21
COLOR_3DLIGHT               = 22
COLOR_INFOTEXT              = 23
COLOR_INFOBK                = 24
COLOR_DESKTOP               = COLOR_BACKGROUND
COLOR_3DFACE                = COLOR_BTNFACE
COLOR_3DSHADOW              = COLOR_BTNSHADOW
COLOR_3DHIGHLIGHT           = COLOR_BTNHIGHLIGHT
COLOR_3DHILIGHT             = COLOR_BTNHIGHLIGHT
COLOR_BTNHILIGHT            = COLOR_BTNHIGHLIGHT

; Class styles
CS_VREDRAW                  = 0001h
CS_HREDRAW                  = 0002h
CS_KEYCVTWINDOW             = 0004h
CS_DBLCLKS                  = 0008h
CS_OWNDC                    = 0020h
CS_CLASSDC                  = 0040h
CS_PARENTDC                 = 0080h
CS_NOKEYCVT                 = 0100h
CS_NOCLOSE                  = 0200h
CS_SAVEBITS                 = 0800h
CS_BYTEALIGNCLIENT          = 1000h
CS_BYTEALIGNWINDOW          = 2000h
CS_GLOBALCLASS              = 4000h
CS_IME                      = 10000h

CW_USEDEFAULT               = 80000000h

; Standard Cursor IDs
IDC_ARROW                   = 32512
IDC_IBEAM                   = 32513
IDC_WAIT                    = 32514
IDC_CROSS                   = 32515
IDC_UPARROW                 = 32516
IDC_SIZENWSE                = 32642
IDC_SIZENESW                = 32643
IDC_SIZEWE                  = 32644
IDC_SIZENS                  = 32645
IDC_SIZEALL                 = 32646
IDC_NO                      = 32648
IDC_APPSTARTING             = 32650
IDC_HELP                    = 32651

; Standard Icon IDs
IDI_APPLICATION             = 32512
IDI_HAND                    = 32513
IDI_QUESTION                = 32514
IDI_EXCLAMATION             = 32515
IDI_ASTERISK                = 32516
IDI_WINLOGO                 = 32517
IDI_WARNING                 = IDI_EXCLAMATION
IDI_ERROR                   = IDI_HAND
IDI_INFORMATION             = IDI_ASTERISK

; ShowWindow() Commands
SW_HIDE                     = 0
SW_SHOWNORMAL               = 1
SW_NORMAL                   = 1
SW_SHOWMINIMIZED            = 2
SW_SHOWMAXIMIZED            = 3
SW_MAXIMIZE                 = 3
SW_SHOWNOACTIVATE           = 4
SW_SHOW                     = 5
SW_MINIMIZE                 = 6
SW_SHOWMINNOACTIVE          = 7
SW_SHOWNA                   = 8
SW_RESTORE                  = 9
SW_SHOWDEFAULT              = 10
SW_MAX                      = 10

; Old ShowWindow() Commands
HIDE_WINDOW                 = 0
SHOW_OPENWINDOW             = 1
SHOW_ICONWINDOW             = 2
SHOW_FULLSCREEN             = 3
SHOW_OPENNOACTIVATE         = 4

; Identifiers for the WM_SHOWWINDOW message
SW_PARENTCLOSING            = 1
SW_OTHERZOOM                = 2
SW_PARENTOPENING            = 3
SW_OTHERUNZOOM              = 4

;Window Messages
WM_NULL                     = 0000h
WM_CREATE                   = 0001h
WM_DESTROY                  = 0002h
WM_MOVE                     = 0003h
WM_SIZE                     = 0005h
WM_ACTIVATE                 = 0006h
WA_INACTIVE                 = 0
WA_ACTIVE                   = 1
WA_CLICKACTIVE              = 2
WM_SETFOCUS                 = 0007h
WM_KILLFOCUS                = 0008h
WM_ENABLE                   = 000Ah
WM_SETREDRAW                = 000Bh
WM_SETTEXT                  = 000Ch
WM_GETTEXT                  = 000Dh
WM_GETTEXTLENGTH            = 000Eh
WM_PAINT                    = 000Fh
WM_CLOSE                    = 0010h
WM_QUERYENDSESSION          = 0011h
WM_QUIT                     = 0012h
WM_QUERYOPEN                = 0013h
WM_ERASEBKGND               = 0014h
WM_SYSCOLORCHANGE           = 0015h
WM_ENDSESSION               = 0016h
WM_SHOWWINDOW               = 0018h
WM_WININICHANGE             = 001Ah
WM_SETTINGCHANGE            = WM_WININICHANGE
WM_DEVMODECHANGE            = 001Bh
WM_ACTIVATEAPP              = 001Ch
WM_FONTCHANGE               = 001Dh
WM_TIMECHANGE               = 001Eh
WM_CANCELMODE               = 001Fh
WM_SETCURSOR                = 0020h
WM_MOUSEACTIVATE            = 0021h
WM_CHILDACTIVATE            = 0022h
WM_QUEUESYNC                = 0023h
WM_GETMINMAXINFO            = 0024h
WM_PAINTICON                = 0026h
WM_ICONERASEBKGND           = 0027h
WM_NEXTDLGCTL               = 0028h
WM_SPOOLERSTATUS            = 002Ah
WM_DRAWITEM                 = 002Bh
WM_MEASUREITEM              = 002Ch
WM_DELETEITEM               = 002Dh
WM_VKEYTOITEM               = 002Eh
WM_CHARTOITEM               = 002Fh
WM_SETFONT                  = 0030h
WM_GETFONT                  = 0031h
WM_SETHOTKEY                = 0032h
WM_GETHOTKEY                = 0033h
WM_QUERYDRAGICON            = 0037h
WM_COMPAREITEM              = 0039h
WM_COMPACTING               = 0041h
WM_COMMNOTIFY               = 0044h
WM_WINDOWPOSCHANGING        = 0046h
WM_WINDOWPOSCHANGED         = 0047h
WM_POWER                    = 0048h
PWR_OK                      = 1
PWR_FAIL                    = -1
PWR_SUSPENDREQUEST          = 1
PWR_SUSPENDRESUME           = 2
PWR_CRITICALRESUME          = 3
WM_COPYDATA                 = 004Ah
WM_CANCELJOURNAL            = 004Bh

; Window Styles
WS_OVERLAPPED               = 00000000h
WS_POPUP                    = 80000000h
WS_CHILD                    = 40000000h
WS_MINIMIZE                 = 20000000h
WS_VISIBLE                  = 10000000h
WS_DISABLED                 = 08000000h
WS_CLIPSIBLINGS             = 04000000h
WS_CLIPCHILDREN             = 02000000h
WS_MAXIMIZE                 = 01000000h
WS_CAPTION                  = 00C00000h
WS_BORDER                   = 00800000h
WS_DLGFRAME                 = 00400000h
WS_VSCROLL                  = 00200000h
WS_HSCROLL                  = 00100000h
WS_SYSMENU                  = 00080000h
WS_THICKFRAME               = 00040000h
WS_GROUP                    = 00020000h
WS_TABSTOP                  = 00010000h
WS_MINIMIZEBOX              = 00020000h
WS_MAXIMIZEBOX              = 00010000h
WS_TILED                    = WS_OVERLAPPED
WS_ICONIC                   = WS_MINIMIZE
WS_SIZEBOX                  = WS_THICKFRAME
WS_TILEDWINDOW              = WS_OVERLAPPEDWINDOW

; Common Window Styles
WS_OVERLAPPEDWINDOW         = WS_OVERLAPPED + WS_CAPTION + WS_SYSMENU\
                            + WS_THICKFRAME + WS_MINIMIZEBOX + WS_MAXIMIZEBOX
WS_POPUPWINDOW              = WS_POPUP + WS_BORDER + WS_SYSMENU
WS_CHILDWINDOW              = WS_CHILD

;Extended Window Styles
WS_EX_DLGMODALFRAME         =  00000001h
WS_EX_NOPARENTNOTIFY        =  00000004h
WS_EX_TOPMOST               =  00000008h
WS_EX_ACCEPTFILES           =  00000010h
WS_EX_TRANSPARENT           =  00000020h
WS_EX_MDICHILD              =  00000040h
WS_EX_TOOLWINDOW            =  00000080h
WS_EX_WINDOWEDGE            =  00000100h
WS_EX_CLIENTEDGE            =  00000200h
WS_EX_CONTEXTHELP           =  00000400h
WS_EX_RIGHT                 =  00001000h
WS_EX_LEFT                  =  00000000h
WS_EX_RTLREADING            =  00002000h
WS_EX_LTRREADING            =  00000000h
WS_EX_LEFTSCROLLBAR         =  00004000h
WS_EX_RIGHTSCROLLBAR        =  00000000h
WS_EX_CONTROLPARENT         =  00010000h
WS_EX_STATICEDGE            =  00020000h
WS_EX_APPWINDOW             =  00040000h
WS_EX_OVERLAPPEDWINDOW      = WS_EX_WINDOWEDGE + WS_EX_CLIENTEDGE
WS_EX_PALETTEWINDOW         = WS_EX_WINDOWEDGE + WS_EX_TOOLWINDOW + WS_EX_TOPMOST

;-----------------------------------------------------------------
; Constants for GDI32.DLL
;-----------------------------------------------------------------

